echo #ifndef _RSI_GIT_SHA1_H_ > ..\..\src\rsi\git_sha1.h
echo #define _RSI_GIT_SHA1_H_ >> ..\..\src\rsi\git_sha1.h
echo. >> ..\..\src\rsi\git_sha1.h
echo|set /p ="#define GIT_SHA1 " >> ..\..\src\rsi\git_sha1.h
git rev-parse HEAD >> ..\..\src\rsi\git_sha1.h
echo. >> ..\..\src\rsi\git_sha1.h
echo #endif // _RSI_GIT_SHA1_H_ >> ..\..\src\rsi\git_sha1.h
